Bug 1093406 - Review Request: python-junitxml - pyunit extension to output JUnit compatible XML
Summary: Review Request: python-junitxml - pyunit extension to output JUnit compatible...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-01 16:01 UTC by Steve Linabery
Modified: 2014-06-05 01:04 UTC (History)
2 users (show)

Fixed In Version: python-junitxml-0.7-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-28 23:55:48 UTC
Type: ---
p: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Steve Linabery 2014-05-01 16:01:09 UTC
Spec URL: http://slinabery.fedorapeople.org/python-junitxml.spec
SRPM URL: http://slinabery.fedorapeople.org/python-junitxml-0.7-1.fc19.src.rpm
Description: PyJUnitXML, a pyunit extension to output JUnit compatible XML
Fedora Account System Username: slinabery

Comment 1 Steve Linabery 2014-05-01 16:12:51 UTC
scratch build passes:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6803933

Comment 2 Pádraig Brady 2014-05-01 17:14:52 UTC
Please use the "LGPLv3" licence tag

Please add COPYING file (LGPL3) to %doc

Please remove the "Copyright" section from the description

Please consider adding a python3 version of the package on Fedora

Please use the standard %{_python2} macros etc.
To support those on RHEL6 add:
# see https://fedoraproject.org/wiki/Packaging:Python#Macros
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Please consider adding a %check if easy

Comment 3 Steve Linabery 2014-05-05 21:32:36 UTC
Updated spec and srpm, same URLs as in comment #1

Comment 4 Pádraig Brady 2014-05-08 01:39:30 UTC
Bar 2 small nits it looks good
 1. s/python-devel/python2-devel/
 2. s/python_sitelib/python2-sitelib/

Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 9 files have unknown license. Detailed output of
     licensecheck in /home/padraig/1093406-python-junitxml/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-junitxml
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-junitxml-0.7-1.fc20.noarch.rpm
          python3-junitxml-0.7-1.fc20.noarch.rpm
          python-junitxml-0.7-1.fc20.src.rpm
python-junitxml.noarch: W: spelling-error Summary(en_US) pyunit -> impunity
python-junitxml.noarch: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
python-junitxml.noarch: W: no-manual-page-for-binary pyjunitxml
python3-junitxml.noarch: W: spelling-error Summary(en_US) pyunit -> impunity
python3-junitxml.noarch: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
python-junitxml.src: W: spelling-error Summary(en_US) pyunit -> impunity
python-junitxml.src: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python3-junitxml python-junitxml
python3-junitxml.noarch: W: spelling-error Summary(en_US) pyunit -> impunity
python3-junitxml.noarch: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
python-junitxml.noarch: W: spelling-error Summary(en_US) pyunit -> impunity
python-junitxml.noarch: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
python-junitxml.noarch: W: no-manual-page-for-binary pyjunitxml
2 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
python3-junitxml (rpmlib, GLIBC filtered):
    python(abi)

python-junitxml (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)



Provides
--------
python3-junitxml:
    python3-junitxml

python-junitxml:
    python-junitxml



Source checksums
----------------
https://pypi.python.org/packages/source/j/junitxml/junitxml-0.7.tar.gz :
  CHECKSUM(SHA256) this package     : a5901127067ab7f3d11df30727368c129c69b3f5595c697daf4f5ed80b1baaa3
  CHECKSUM(SHA256) upstream package : a5901127067ab7f3d11df30727368c129c69b3f5595c697daf4f5ed80b1baaa3


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1093406
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Steve Linabery 2014-05-12 18:25:29 UTC
New Package SCM Request
=======================
Package Name: python-junitxml
Short Description: pyunit extension to output JUnit compatible XML
Owners: slinabery
Branches: f19 f20 el6 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-05-12 19:50:30 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-05-15 16:03:08 UTC
python-junitxml-0.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-junitxml-0.7-1.fc19

Comment 8 Fedora Update System 2014-05-15 16:04:13 UTC
python-junitxml-0.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-junitxml-0.7-1.fc20

Comment 9 Fedora Update System 2014-05-15 16:05:02 UTC
python-junitxml-0.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-junitxml-0.7-1.el6

Comment 10 Fedora Update System 2014-05-16 03:04:42 UTC
python-junitxml-0.7-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 11 Fedora Update System 2014-05-28 23:55:48 UTC
python-junitxml-0.7-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2014-05-28 23:56:23 UTC
python-junitxml-0.7-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-06-05 01:04:22 UTC
python-junitxml-0.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.